<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });


## User
//use DB;
DB::setFetchMode(PDO::FETCH_ASSOC);
//DB::connection('mysql_wordpress')->setFetchMode(PDO::FETCH_ASSOC);

////CM api/////
Route::post('v2/paid/continue', 'IosFlowController@fromContinue');

Route::post('v2/paid/reciept', 'IosFlowController@storeReciept');

#Refresh Token Generation
Route::post('/user/refresh_token' , 'TokenController@refreshToken' );
#token Generation
Route::post('/user/token' , 'TokenController@token');

#get call recording info from amit soni phone
Route::post('/callRecordingData' , 'UserController@storeCallRecordingData');

#get user's info
Route::get('/user' , 'UserController@showProfile');
Route::get('/testUser' , 'UserController@showTestProfile');
#create new user
Route::post('/user' , 'UserController@createProfile');
#Update user
Route::patch('/user/profileImg' , 'UserController@updateProfileImage');
Route::patch('/user' , 'UserController@updateProfile');
Route::patch('/testUser' , 'UserController@updateTestProfile');
#Delete user
Route::delete('/user' , 'UserController@deleteProfile');
#pasword change
Route::post('/user/changePass' , 'UserController@updatePassword');




Route::get('/user/activation/{activation_id}', 'UserController@mailActivation');

## For forget user
Route::post('/user/forget_password' , 'UserController@forgetPassword' );

## For user logout
Route::post('/user/logout' , 'UserController@logout' );

Route::get('/user/countrystate', 'UserController@statecountry');

Route::get('/user/listing', 'UserController@Listing') ;
Route::post('/user/portfolio_filter', 'UserController@PortfolioFilter') ;
Route::post('/user/update_portfolio_filter', 'UserController@updatePortfolioFilter') ;


Route::post('v2019/candidate', 'v2019\CandidateApplicationController@store'); 
### New user plan related


## Actions veersion 1
Route::post('/v1/action/{method}' , 'ActionController@call');

### Get user subscription plans
Route::post('/v2/action/getsubscriptionplan' , 'UserController@getSubscriptionPlan') ;

### Update user info before plan payment
Route::post('/v2/action/subscription/beforeplan' , 'UserController@UpdateUserPlanBeforePayemt') ;

### Update user info after plan payment
Route::post('/v2/action/subscription/afterplan' , 'UserController@UpdateUserPlanAfterPayemt') ;

# All news routes #
### To list all categories
//Route::get('/v2/action/news/category' , 'NewsController@getcategory') ;
Route::get('/v2/action/news/category' , 'NewsController@get_all_news_categories') ;

### To get all news
Route::post('/v2/action/news' , 'NewsController@get_all_news') ;
//Route::post('/v2/action/news' , 'NewsController@getallnews') ;
//Route::post('/v2/action/testGetAllNews' , 'newNEWSController@get_all_news') ;
/* Added by shreetam 9jan2019 */
Route::get('/v2/action/views' , 'NewsController@views_count') ;

Route::post('/v2/action/view' , 'NewsController@views_counter') ;
/* Added by shreetam 9jan2019  END */
### To get news according to news id
Route::post('/v2/action/news/{id}' , 'NewsController@get_news_by_id');
//Route::post('/v2/action/news/{id}' , 'NewsController@getnewsByid');
//Route::post('/v2/action/testGetNewsById/{id}' , 'newNEWSController@get_news_by_id');

### Update most read of news according to news id
Route::post('/v3/action/news/updateMostread' , 'NewsController@updateMostread');

### To get all filters of news
//Route::get('/v2/action/news/filters' , 'NewsController@getfilters');
Route::get('/v2/action/news/filters' , 'NewsController@get_news_filters');
Route::get('/v2/action/news/filtersnews' , 'NewsController@getfiltersNew');

## For tender ##
## To get category of tender
Route::get('/v2/action/tenders/category' , 'TendersController@getcategory') ;
Route::get('/v2/action/tenders/category_new' , 'TendersController@getcategory_new') ;

### To list all tenders filters
Route::get('/v2/action/tenders/filters' , 'TendersController@getfilters') ;

Route::post('/v2/action/tenders/enquiry' , 'TendersController@tenderEnquiry' );

### To get all tenders
Route::post('/v2/action/tenders' , 'TendersController@getalltenders') ;
### To get tender according to tender id
Route::post('/v2/action/tenders/{id}' , 'TendersController@getcategoryByID');


/***************************** APIs for New Tender App [START] **********************/

Route::group([ 'prefix' => '/v1/tenders', 'middleware' => ['auth.token'] ], function() {
	Route::get('/category', 'v1\TenderModuleController@getcategories');
	Route::get('/ads', 'v1\TenderModuleController@getAds');
    Route::get('/', 'v1\TenderModuleController@getTenders');
	Route::get('/home', 'v1\TenderModuleController@getHomeTenders');
	Route::get('/expiry/{days}', 'v1\TenderModuleController@getExpiringTenders');

	Route::group([ 'middleware' => ['auth.isLoggedIn'] ], function() {
		Route::get('/related', 'v1\TenderModuleController@getRelatedTenders');
		Route::get('/user', 'v1\TenderModuleController@getUserTenders');
	});
});

Route::post('/tender/upload/{tid}', 'v1\TenderModuleController@apiTender');

Route::group([ 'prefix' => '/v1/tender', 'middleware' => ['auth.token'] ], function() {
	Route::get('/{id}', 'v1\TenderModuleController@getTenderById');
	
    Route::group([ 'middleware' => ['auth.isLoggedIn', 'auth.isPaidUser'] ], function() {
        Route::post('/', 'v1\TenderModuleController@storeTender');
        Route::put('/{id}', 'v1\TenderModuleController@updateTender');
        Route::delete('/{id}', 'v1\TenderModuleController@deleteTender');
    });
});


// new APIs - start

Route::post('v2019/bookmark/add', 'v2019\Bookmark@addBookmark')->middleware('apiToken');
Route::get('v2019/bookmark/getBookmarkedItemIDs', 'v2019\Bookmark@getBookmarkId')->middleware('apiToken');
Route::post('v2019/delete/items', 'v2019\Bookmark@commonRemove')->middleware('apiToken');
//Route::post('v2019/comparison/save', 'v2019\Comparison@save')->middleware('apiToken'); //not completed
//Route::post('v2019/prices/compare/savedlist', 'v2019\Price@savedlist')->middleware('apiToken'); // not completed .. use office code
//Route::post('v2019/prices/compare/filter', 'v2019\Mapping@mapping')->middleware('apiToken');
Route::post('v2019/alerts', 'v2019\Alert@getAlerts')->middleware('apiToken');// 
Route::post('v2019/alerts/toggle', 'v2019\Alert@toggleAlerts')->middleware('apiToken');
Route::post('v2019/alerts/add', 'v2019\Alert@addAlerts')->middleware('apiToken');
Route::get('v2019/media/get', 'v2019\Media@getMedia')->middleware('apiToken');
Route::post('v2019/media/save', 'v2019\Media@addMedia')->middleware('apiToken');
//Route::post('v2019/show/similar/save', 'v2019\ShowMoreLess@saveShow')->middleware('apiToken');
Route::post('v2019/ShowMoreLess', 'v2019\ShowMoreLess@saveShow')->middleware('apiToken');
//Route::get('v2019/tenders/count', 'v2019\Tender@count');
//following API has been repeated with GET,POST method as it was conflicting in android, ios. both has same functioanlity
Route::post('v2019/magazine', 'v2019\Magazine@get')->middleware('apiToken');
Route::get('v2019/magazine', 'v2019\Magazine@get')->middleware('apiToken');
//Route::post('v2019/reports', 'v2019\Report@getReport');
Route::post('v2019/intel/updateViewCount', 'v2019\intelController@updateMostread'); 
Route::get('v2019/notify', 'v2019\notifyController@getNotification')->middleware('apiToken');// 
Route::post('v2019/notify/add', 'v2019\notifyController@addNotification')->middleware('apiToken');
// new APIs - end
    
Route::get('/upload/form/resource', function(){
	return view('tupload');

});
	

Route::get('routes', function() {
    $routeCollection = Route::getRoutes();

    echo "<table style='width:100%'>";
        echo "<tr>";
            echo "<td width='10%'><h4>HTTP Method</h4></td>";
            echo "<td width='10%'><h4>Route</h4></td>";
            echo "<td width='10%'><h4>Name</h4></td>";
            echo "<td width='70%'><h4>Corresponding Action</h4></td>";
        echo "</tr>";
        foreach ($routeCollection as $value) {
            echo "<tr>";
                echo "<td>" . $value->getMethods()[0] . "</td>";
                echo "<td>" . $value->getPath() . "</td>";
                echo "<td>" . $value->getName() . "</td>";
                echo "<td>" . $value->getActionName() . "</td>";
            echo "</tr>";
        }
    echo "</table>";
});

/*****************************  API of New Tender App [END]  **********************/


# All price old route #
### to get price category
//Route::get('/v2/action/price/category' , 'PriceControllerstub@getfilters') ;
//### To get all prices
//Route::post('/v2/action/price' , 'PriceControllerstub@getallprice') ;
//### To get price according to tender id
//Route::post('/v2/action/price/{id}' , 'PriceControllerstub@getPriceById');
//
//# Logistics
//### Get all logistics
//Route::post('/v2/action/logistics' , 'PriceControllerstub@getallLogistics') ;

## All price new live ##
### To get all price category
/* Route::get('/v3/action/price/category' , 'PriceController@getfilters') ;
Route::get('/v3/action/price/filters/regions' , 'PriceController@getRegionsFilters') ;
### To get all prices
Route::post('/v3/action/price' , 'PriceController@getallprice') ;
### To get price according to tender id
Route::post('/v3/action/price/{id}' , 'PriceController@getPriceById');
Route::post('/v3/action/price/details/{id}' , 'PriceController@getPriceByPriceId'); */
//
//Route::post('/v3/action/logistics' , 'PriceController@getallLogistics') ;
Route::get('/v3/action/price/category' , 'PriceModuleController@getfilters') ;
Route::get('/v3/action/price/filters/regions' , 'PriceModuleController@getRegionsFilters') ;
### To get all prices
Route::post('/v3/action/price' , 'PriceModuleController@getPrices') ;
### To get price according to tender id
Route::post('/v3/action/price/{id}' , 'PriceModuleController@getPriceById');
Route::post('/v3/action/price/details/{id}' , 'PriceModuleController@getPriceByPriceId');

Route::get('/v3/test/price/category' , 'PriceModuleController@getfilters') ;
Route::get('/v3/test/price/filters/regions' , 'PriceModuleController@getRegionsFilters') ;
### To get all prices
Route::post('/v3/test/price' , 'PriceModuleController@getPrices');
### To get price according to tender id
Route::post('/v3/test/price/{id}' , 'PriceModuleController@getPriceById');
Route::post('/v3/test/price/details/{id}' , 'PriceModuleController@getPriceByPriceId');


# Events old routes #
### Get all events
//Route::post('/v2/action/events' , 'EventsControllerstubs@getallEvents' ) ;
//
//### Get event by ID
//Route::post('/v2/action/events/{method}' , "EventsControllerstubs@eventByID" ) ;
//
//### Get price of event according to delegate number
//Route::get('/v2/action/events/delegate_price/{event_ID}' , 'EventsControllerstubs@getEventPackage');
//
//### Get events filters
//Route::get('/v2/action/events/filters/{event_ID}' , 'EventsControllerstubs@getFilters' ) ;


## Events new routes live ##

### get delagate's attendance
Route::post('/v3/action/events/delegate/presence', 'EventsController@storeEventRegistry');

### related to QR code contacts
Route::post('/v3/action/events/getContacts' , 'EventsController@getEventContacts');
Route::post('/v3/action/events/saveContacts' , 'EventsController@storeEventContacts');
Route::post('/v3/action/events/deleteContact' , 'EventsController@deleteEventContact');
Route::post('/v3/action/events/updateContactRemark' , 'EventsController@updateEventContactRemark');

### Get all events
Route::post('/v3/action/events' , 'EventsController@getallEvents' ) ;

Route::post('/v3/action/events/payment' , 'EventsController@after_payment') ;

### Get event by ID
Route::post('/v3/action/events/{event_ID}' , "EventsController@eventByID" ) ;

### Get events filters
Route::get('/v3/action/events/filters/{event_ID}' , 'EventsController@getFilters' ) ;

### Get participants list according to filters
Route::post('/v3/action/events/participants/{event_ID}' , 'EventsController@getparticipants') ;
Route::post('/v3/action/events/accomodation/{event_ID}' , 'EventsController@getAccomodations') ;

### Get price for deligate events
Route::get('/v3/action/events/delegate_price/{event_ID}' , 'EventsController@getEventPackage' ) ;

### Get complete payment details for deligate events
Route::post('/v3/action/events/delegate_price/{event_ID}' , 'EventsController@getPriceDetail' ) ;

### Get complete payment details for deligate events
Route::post('/v3/action/events/delegate_registration/{event_ID}' , 'EventsController@delegateSubmitForm' ) ;

## Delegate contact us
Route::post('/v3/action/events/delegate/contactus/{event_ID}' , 'EventsController@delegateContactus' ) ;

## post services version 1
Route::post('/v1/plantbee/{method}' , 'PostController@call');

## Get all plants type of plantbee
Route::get('/v1/plantbee/plantype/{dealtype}' , 'PostController@getallplanttype');

Route::get('/v2/plantbee/plantype' , 'PostController@getPlanType');

## Get all search criteria
Route::get('/v1/plantbee/searchfilers' , 'PostController@searchfilers');

## Get home page images
Route::get('/v1/plantbee/homepageimage' , 'PostController@homePageImage' ) ;

Route::get('/v1/plantbee/faqs' , 'PostController@getfaqs' ) ;

## Generate lead impression
Route::get('/v1/plantbee/leadimpression/{lead_id}' , 'PostController@LeadImpression');


## Get faqs
Route::get('/v2/action/faqs' , 'getCommonInfo@getfaqs');
Route::get('/v2/action/new_features' , 'getCommonInfo@newFeatures');

## Get terms and conditions
Route::get('/v2/action/termsandconditions' , 'getCommonInfo@termsAndConditions') ;


## For payment gateway
Route::post('/v2/payment/ccavenue/getrsa' , 'PaymentCcavenueController@getRSA');

//Route::post('/v2/payment/ccavenue/verification' , 'PaymentCcavenueController@verification') ;

Route::post('/v2/payment/paypal/verify', 'PaymentPaypalController@verifyPayment') ;

## For notification
Route::post('/notification/readlog', 'notificationController@read_error_log_entry') ;
Route::post('/notification/emptylog', 'notificationController@empty_error_log_entry') ;

Route::post('/v2/notification/register', 'notificationController@registerDevice') ;
Route::post('/v2/notification/deregister', 'notificationController@deregisterDevice') ;


## For notification admin
Route::post('/v2/notification/create', 'notificationController@create_notification') ;
Route::get('/v2/notification/type', 'notificationController@get_all_notification_type') ;
Route::get('/v2/notification/device', 'notificationController@get_all_device') ;

Route::post('/v2/notification/send', 'notificationController@post_notification') ;

#To enable/disable notification
Route::post('/v2/notification/status', 'notificationController@notification_set');

Route::post('/v2/notification/device' , 'notificationController@getdeviceID') ;



## For OTP
Route::post('/v2/otp/verify', 'OTPverification@verifyOTP') ;

Route::get('document.html' , 'MarkdownRender@apiDocument') ;



## For testing ##
## for new testing
Route::get('/test/news/category' , 'NewsControllerTest@getcategory') ;

### To get all news
Route::post('/test/news' , 'NewsControllerTest@getallnews') ;

### To get news according to news id
Route::post('/test/news/{id}' , 'NewsControllerTest@getnewsByid');

### To get all filters of news
Route::get('/test/news/filters' , 'NewsControllerTest@getfilters');


## All price new live ##
### To get all price category
Route::get('/test/price/category' , 'PriceControllerTest@getfilters') ;
### To get all prices
Route::post('/test/price' , 'PriceControllerTest@getallprice') ;
### To get price according to tender id
Route::post('/test/price/{id}' , 'PriceControllerTest@getPriceById');

Route::post('/test/logistics' , 'PriceControllerTest@getallLogistics') ;


# To get category of tender
Route::get('/test/tenders/category' , 'TendersControllerTest@getcategory') ;

### To list all tenders filters
Route::get('/test/tenders/filters' , 'TendersControllerTest@getfilters') ;

Route::post('/test/tenders/enquiry' , 'TendersControllerTest@tenderEnquiry' );

### To get all tenders
Route::post('/test/tenders' , 'TendersControllerTest@getalltenders') ;
### To get tender according to tender id
Route::post('/test/tenders/{id}' , 'TendersControllerTest@getcategoryByID');
Route::post('/v2/notification/notificationSend', 'notificationController@post_notificationSend');

Route::get('/v1/action/currencies', 'CurrencyController@getList');
Route::post('/v1/action/currency/{id}', 'CurrencyController@getDetail');

Route::get('/v1/action/common', 'getCommonInfo@getCategories');

Route::get('/db', function(){
    return DB::select('select database();');
});

Route::post('v1/upload/call_record', 'FileController@uploadCallRecord');
Route::post('v1/calllog', 'CallLogController@storeCallLog');
Route::get('v1/calllog', 'CallLogController@getCallLog');
Route::get('v1/calllog/play/{id}', 'CallLogController@playRecording');



Route::group(['middleware' => 'apiGateway'], function () {
    // api to get leads from participant list download link    
    Route::post('v2019/participantLead', 'v2019\commonController@participantLead'); 
	
	
    Route::post('v2019/common/visitor-pass-insert', 'v2019\commonController@insertVisitorPass');
    
    Route::post('v2019/getCommodityDetails', 'v2019\commonController@getCommodityDetails'); 
    Route::post('v2019/delSMAccount', 'v2019\commonController@delSMAccount'); 
    
    Route::post('v2019/event/delegate/presence', 'v2019\eventsController@storeEventRegistry');
    Route::post('v2019/intel/visitors', 'v2019\intelController@insertIntelVisitor');
    Route::post('v2019/insightsBookmarkedCommodities', 'v2019\commonController@insightsBookmarkedCommodities');
    Route::post('v2019/pricesBookmarkedCommodities', 'v2019\commonController@pricesBookmarkedCommodities');
    Route::get('v2019/apishort', 'v2019\commonController@quickdata');
	Route::get('v2019/appMenu', 'v2019\commonController@appMenuData');
    Route::get('v2019/indianPriceCategories', 'v2019\pricesController@indianPriceCategories');
    Route::post('v2019/storePushNotifiDtls', 'v2019\commonController@storePushNotifiDtls');
    Route::post('v2019/getDetailsFromURL', 'v2019\commonController@getDetailsFromURL');
    
    //store search data from website AWS - date: 4-oct-2024
    Route::post('v2019/storeSearchData', 'v2019\commonController@storeSearchData');
    //added on 25-july-24 for app Splash menu 
    Route::get('v2019/appPopupContent', 'v2019\commonController@appPopupContent');
 
    
    ///v2019 
    Route::post('v2019/request', 'v2019\commonController@requestDemoOrEnquiry');
    Route::post('v2019/jobApply', 'v2019\commonController@jobApply');
    
    /////////////////////////2019 new website api's///////////
    Route::get('v2019/common/referencedata', 'v2019\commonController@index');
    Route::get('v2019/common/referencedataNew', 'v2019\commonController@getArray');
    Route::get('v2019/common/referencedataNewBM', 'v2019\commonController@getArrayBM');
    Route::get('v2019/common/priceSectionWiseFilters', 'v2019\commonController@getPriceSectionWiseFilters');
    Route::get('v2019/common/priceSectionWiseFiltersBM', 'v2019\commonController@getPriceSectionWiseFiltersBM');
    
    //added for price spread 
    Route::get('v2019/common/priceSpreadSectionWiseFilters', 'v2019\commonController@getPriceSpreadSectionWiseFilters');
    Route::post('v2019/pricespread', 'v2019\priceSpreadController@getPriceSpread');
    Route::post('v2019/pricespread/details', 'v2019\priceSpreadController@getPriceSpreadDetails');
    Route::post('v2019/pricespread/graph', 'v2019\priceSpreadController@getPriceSpreadGraph');
    
    ///Route::post('v2019/alerts', 'v2019\commonController@alerts');//remove and use  line no 155 route
    Route::post('v2019/preferences', 'v2019\commonController@getPreferences');
    //Route::post('v2019/bookmark/remove', 'v2019\commonController@removeBookmark');
    //Route::post('v2019/bookmark/add', 'v2019\commonController@addBookmark');
    Route::post('v2019/portfolio/addItem', 'v2019\commonController@portfolioAddItem'); 
    Route::post('v2019/download', 'v2019\commonController@download'); 
    Route::post('v2019/alerts/listing', 'v2019\commonController@alertsListing'); 
    //Route::post('v2019/showsimilar', 'v2019\commonController@showSimilar'); 
    Route::post('v2019/addPreferences', 'v2019\commonController@addPreferences'); 
    Route::get('v2019/faq', 'v2019\commonController@getFAQ'); 
    Route::get('v2019/notificationDetails', 'v2019\commonController@notificationDetails'); 
    Route::get('v2019/webNotificationDetails', 'v2019\commonController@webNotificationDetails'); 
    Route::get('v2019/personalDetails', 'v2019\commonController@getPersonalDetails'); 
    Route::post('v2019/personalDetails/save', 'v2019\commonController@savePersonalDetails'); 
    Route::post('v2019/packageDetails', 'v2019\commonController@showPackageDetails'); 
    Route::post('v2019/packageDetailsByID', 'v2019\commonController@getPackageDetails'); 
    Route::post('v2019/subscriptionDetails', 'v2019\commonController@getSubscriptionDetails'); 
    Route::post('v2019/autoRenew', 'v2019\commonController@autoRenew'); 
    Route::get('v2019/announcement', 'v2019\commonController@getAnnouncement'); 
    Route::get('v2019/messageBoard', 'v2019\commonController@getMessgeBoard');
    Route::get('v2019/messageSkip', 'v2019\commonController@skipMessage');
    Route::post('v2019/updateFCMToken', 'v2019\commonController@updateFCMToken'); 
    Route::post('v2019/rmactivitylog', 'v2019\commonController@rmCreds');
    Route::post('v2019/login', 'v2019\commonController@getLoginDetails'); 
    Route::post('v2019/jwt/refresh', 'v2019\commonController@refreshJwtTokens');
    Route::post('v2019/logout', 'v2019\commonController@logout'); 
    Route::post('v2019/loginSuggestedPackage', 'v2019\commonController@getloginSuggestedPackage'); 
    Route::post('v2019/register', 'v2019\commonController@register');
    Route::post('v2019/renewPackages', 'v2019\commonController@renewPackages');
    Route::post('v2019/search', 'v2019\commonController@search');  
    Route::post('v2019/sendOTP', 'v2019\commonController@sendOTP'); 
    Route::post('v2019/verifyOTP', 'v2019\commonController@verifyOTP'); 
    Route::post('v2019/sendOTPByMemid', 'v2019\commonController@sendOTPByMemid'); 
    Route::post('v2019/sendOTPNew', 'v2019\commonController@sendOTPNewConcept'); 
    Route::post('v2019/verifyOTPNew', 'v2019\commonController@verifyOTPNewConcept'); 
    //added - 7thjuly2022 for moble verification through google
    Route::post('v2019/verifyOTPNewMobile', 'v2019\commonController@verifyOTPNewConcept_mobile'); 
    
    
     //added - 18Nov2022 to get usertype by mobile no 
    Route::post('v2019/getUserType', 'v2019\commonController@GetuserType'); 
    
    Route::post('v2019/registerNew', 'v2019\commonController@registrationProcessNewConcept'); 		Route::post('v2019/registerrequestademo', 'v2019\commonController@registerRequestademo');
    Route::post('v2019/goWithGSTDetails', 'v2019\commonController@goWithGSTDetails');
    Route::post('v2019/rzpayResponceHandler', 'v2019\commonController@rzpayResponceHandler');
    Route::post('v2019/resetPassword', 'v2019\commonController@resetPassword'); 
    Route::post('v2019/forgotPassword', 'v2019\commonController@forgotPassword'); 
    Route::post('v2019/request', 'v2019\commonController@requestDemoOrEnquiry');
    Route::post('v2019/insights', 'v2019\insightsController@getInsights');
	Route::get('v2019/insightWidgetAPI', 'v2019\insightsController@getNewsWidgetAPI');
	Route::post('v2019/insightLohaaAPI', 'v2019\insightsController@lohaaNewsAPI');
	Route::get('v2019/insightLohaaAPI', 'v2019\insightsController@lohaaNewsAPI');
    Route::post('v2019/insightCronAPI', 'v2019\insightsController@insightCronAPI');
	//Route::post('v2019/insightWidgetAPI', 'v2019\insightsController@getNewsWidgetAPI');
    Route::get('v2019/insights/details', 'v2019\insightsController@getInsightDetails');
    Route::post('v2019/insights/test', 'v2019\insightsController@chkPostToSiteMap');
    Route::post('v2019/insights/updateViewCount', 'v2019\insightsController@updateMostread'); 
    Route::post('v2019/insights/post', 'v2019\insightsController@postInsight');
    Route::post('v2019/intelInsights', 'v2019\insightsController@getIntelInsights');
	Route::post('v2019/intelInsightsSMAPI', 'v2019\insightsController@getIntelInsightsSMAPI');
    Route::get('v2019/author', 'v2019\insightsController@getAuthorDetails');     
    Route::post('v2019/prices', 'v2019\pricesController@getPrices');
	Route::post('v2019/pricesSMAPI', 'v2019\pricesController@getPricesVendorAPI');
	Route::get('v2019/pricesSMAPI', 'v2019\pricesController@getPricesVendorAPI');	
	Route::post('v2019/liveSMPrices', 'v2019\pricesController@getLivePricesAPI');
	Route::get('v2019/liveSMPrices', 'v2019\pricesController@getLivePricesAPI');
	Route::get('v2019/mediaPricesBigMint', 'v2019\pricesController@getBigMintPricesPlate');
    /* ------ ------ Start of Tabular ------ ------ */
    Route::any('v2019/statistics/tabular/filter','v2019\TabularController@getTabularFilter');
    Route::post('v2019/statistics/tabular', 'v2019\TabularController@getTabular');
    Route::get('v2019/statistics/tabular/graph', 'v2019\TabularController@getTabularGraph');
    /* ------ ------ End of Tabular ------ ------ */    
    
    Route::post('v2019/prices/bySectionType', 'v2019\pricesController@bySectionType');
    Route::post('v2019/getPricesSearch', 'v2019\pricesController@getPricesSearch');
    Route::post('v2019/relatedPrices', 'v2019\pricesController@getPrices');
    Route::post('v2019/prices/details', 'v2019\pricesController@getPriceDetails');
    Route::post('v2019/prices/graph', 'v2019\pricesController@getPricesGraph');
    Route::post('v2019/prices/costIndex', 'v2019\pricesController@getCostIndex');
    Route::post('v2019/prices/related', 'v2019\pricesController@getPrices');
    Route::post('v2019/prices/compare', 'v2019\pricesController@compare');
    Route::post('v2019/prices/compare/save', 'v2019\pricesController@compareSave');
    Route::post('v2019/comparison/update', 'v2019\pricesController@compareUpdate');
    Route::post('v2019/prices/compare/savedlist', 'v2019\pricesController@getCompareSavedList');
    Route::post('v2019/prices/compare/filter', 'v2019\pricesController@compareFilterList'); 
    
    
    //used in rebar page 
    Route::get('v2019/prices/getTmtAllSizes', 'v2019\pricesController@getTmtAllSizes'); 

    //participants tab api
    Route::post('v2019/prices/participants', 'v2019\pricesController@getPriceParticipantTabData');
    //Route::post('v2019/portfolio/listItems', 'v2019\pricesController@getPortfolioListItems');
    Route::post('v2019/portfolio/listItems', 'v2019\pricesController@getPrices'); 
    Route::get('v2019/dateRangeFilter', 'v2019\pricesController@getDateRangeFilter'); 
    Route::post('v2019/intel', 'v2019\intelController@getIntel');
    Route::post('v2019/intellist', 'v2019\intelController@getIntellist');
    Route::post('v2019/intel/trending', 'v2019\intelController@getIntelTrending');
    Route::get('v2019/intel/details', 'v2019\intelController@getIntelDetails');
    Route::post('v2019/tenders', 'v2019\tendersController@getTenders');
    Route::post('v2019/tenders/details', 'v2019\tendersController@getTenderDetails');
    Route::get('v2019/tenders/count', 'v2019\tendersController@getTendersCommodityCount');
    Route::get('v2019/tenders/filters', 'v2019\tendersController@getTendersFilter');
    Route::get('v2019/tenders/collection', 'v2019\tendersController@getTendersCollection');
    //added to get market wise data - for app (24-july-24)
    Route::get('v2019/tenders/collectionBM', 'v2019\tendersController@getTendersCollectionBM');
    Route::post('v2019/home/promotion', 'v2019\homeController@getPromotion');
    Route::post('v2019/home/photoStories', 'v2019\homeController@getPhotoStories');
    Route::post('v2019/home/updateViews', 'v2019\homeController@updatePhotoStoryViews');
    Route::post('v2019/home/upcomingEvents', 'v2019\homeController@upcomingEvents');
    Route::post('v2019/trending', 'v2019\trendingController@getTrending');

    Route::post('v2019/testCases', 'v2019\reportsController@testCases');
    Route::post('v2019/reports', 'v2019\reportsController@getReports');
    Route::post('v2019/getReportPath', 'v2019\reportsController@getReportPath');
    Route::get('v2019/reports/count', 'v2019\reportsController@getReportCount');
    Route::get('v2019/getNewsletterContent', 'v2019\reportsController@getNewsletterContent');
    Route::get('v2019/getNewsletterPriceGraph', 'v2019\reportsController@getNewsletterPriceGraph');
    Route::get('v2019/getNewsletterStatsGraph', 'v2019\reportsController@getNewsletterStatsGraph');
    //added by tarun on 2019-10-24
    Route::post('v2019/reports/send', 'v2019\reportsController@sendSampleReport');
    Route::get('v2019/events/count', 'v2019\eventsController@getEventsCount');
    
    Route::get('v2019/events/sponsors', 'v2019\eventsController@getEventSponsor');
    Route::get('v2019/events/exhibitors', 'v2019\eventsController@getEventExhibitor');
    Route::get('v2019/events/accommodations', 'v2019\eventsController@getEventAccommodation');
    Route::get('v2019/events/QR/gen', 'v2019\eventsController@genQR');
    Route::get('v2019/events/delegate_price/{event_ID}' , 'v2019\eventsController@getEventPackage' ) ;
    Route::post('v2019/railwayMovement', 'v2019\logisticsController@getRailwayMovement');
    Route::get('v2019/railwayMovement/filters', 'v2019\logisticsController@getRailwayMovementFilter');
    Route::post('v2019/vesselLineup', 'v2019\logisticsController@getVesselLineup');
    Route::get('v2019/vesselLineup/filters', 'v2019\logisticsController@getVesselLineupFilter');
    Route::post('v2019/vesselFreight', 'v2019\logisticsController@getVesselFreight');
    Route::get('v2019/vesselFreight/filters', 'v2019\logisticsController@getVesselFreightFilter');
    Route::post('v2019/vesselFreight/graph', 'v2019\logisticsController@getVesselFreightGraph');
    Route::post('v2019/logisticsSectionStatus', 'v2019\logisticsController@logisticSectionStatusForAPP');
    Route::post('v2019/cilAuction', 'v2019\logisticsController@getCilAuctionData');
    
    //from vipin's team
    Route::post('v2019/statistics/sections', 'v2019\AlphaController@getStatistics');
    Route::post('v2019/statistics/filter/leftMain', 'v2019\AlphaController@getFilterLeftMain');
    Route::post('v2019/statistics/graph', 'v2019\AlphaController@getGraphs');
    Route::post('v2019/statistics/graph2ndLevel', 'v2019\AlphaController@getGraphs2ndLevel');
    Route::get('v2019/statistics/portfolio', 'v2019\AlphaController@getStatisticsPortfolio');
    Route::post('v2019/statistics/add', 'v2019\AlphaController@addInSavedList');
    Route::post('v2019/statistics/download', 'v2019\AlphaController@downloadSavedList');
    Route::post('v2019/statistics/addportfolio','v2019\AlphaController@addPortfolio');
    Route::post('v2019/statistics/removeportfolio','v2019\AlphaController@removePortfolio');
    Route::post('v2019/statistics/recentview', 'v2019\AlphaController@getRecentView');
    Route::post('v2019/getUserSessData', 'v2019\AlphaController@getUserSessData');
    Route::get('v2019/stat/table', 'v2019\AlphaController@statTablePlot');
    Route::get('v2019/stat/cm/table', 'v2019\AlphaController@statTablePlot_CM');
    
    Route::get('v2019/statistics/getStatsHeaderList', 'v2019\AlphaController@getStatsHeaderLists');
    Route::get('v2019/statistics/filter/appMenu', 'v2019\AlphaController@getFilterAppMenu');
    Route::post('v2019/statistics/vendorAPI', 'v2019\AlphaController@getStatsVendorAPI');
    /* ------ ------ Start of Historical ------ ------ */
    Route::post('v2019/historical/sections', 'v2019\histDataController@getSections');
    Route::get('v2019/historical/filters','v2019\histDataController@getCommodityRegion');
    //17nov dashboard    
    Route::post('v2019/historical/dashboardUrlPath','v2019\histDataController@getDashboardUrlPath');
    
    Route::post('v2019/historical','v2019\histDataController@getHistoricalDataList');
    Route::post('v2019/historical/save','v2019\histDataController@saveHistoricalData');
    Route::post('v2019/historical/savedList','v2019\histDataController@saveRecentHistoricalData');
    Route::post('v2019/historical/download','v2019\histDataController@downloadHistoricalData');
    Route::post('v2019/historical/downloadTest','v2019\histDataController@downloadHistoricalDataTest');
    Route::post('v2019/historical/removeFromList','v2019\histDataController@removeFromList');
    Route::post('v2019/historical/getlistforedit','v2019\histDataController@getListForEdit');
    Route::post('v2019/historical/listeditsave','v2019\histDataController@ListEditSave');
    /* ------ ------ End of Historical ------ ------ */
    
    /* ------ ------ Start of price download ------ ------ */
    Route::post('v2019/price/download','v2019\histDataController@downloadPriceData');
    /* ------ ------ End of  price download  ------ ------ */
    
    /* ------ ------ Start of Compare ------ ------ */
    Route::post('v2019/compare/getcommodityandregion','v2019\compareController@ListCommRegion');
    Route::post('v2019/compare/getcomparison','v2019\compareController@getComparison');
    Route::post('v2019/compare/getheaderlist','v2019\compareController@getHeaderList');
    /* ------ ------ End of Compare ------ ------ */
    /* ------ ------ Start of Map Routes ------ ------ */
    Route::post('v2019/map/getmapcommodityandregion','v2019\mapController@getMapCommoAndRegion');
    Route::post('v2019/map/getmapselection','v2019\mapController@getMapSelection');
    //oute::post('v2019/map/savemapselection','v2019\mapController@saveMapSelection');
    Route::post('v2019/map/savemapselection','v2019\mapController@saveMapSelection');
    Route::post('v2019/map/getsavedselection','v2019\mapController@getSavedSelection');
    Route::post('v2019/map/removesavedselection','v2019\mapController@removeSavedSelection');
    /* ------ ------ End of Map Routes ------ ------ */
    
    ///
    /*
    Route::get('v2019/historical', 'v2019\histDataController@getHistoricalDataList');
    Route::post('v2019/historical/save', 'v2019\histDataController@saveHistoricalData');
    Route::post('v2019/historical/download', 'v2019\histDataController@downloadHistoricalData');
    Route::post('v2019/historical/savedList', 'v2019\histDataController@saveRecentHistoricalData');
    */
    Route::post('v2019/mapView', 'v2019\commonController@mapGo');
    Route::post('v2019/mapView/save', 'v2019\commonController@mapSave');
    Route::post('v2019/mapView/download', 'v2019\commonController@mapDownload');
    Route::get('v2019/mapView/selected', 'v2019\commonController@mapSelected');
    Route::post('v2019/iosPaid/continue_test', 'v2019\IosFlowController@fromContinue_test');
    Route::get('v2019/iosPaid/chkTokenToMemid', 'v2019\IosFlowController@chkTokenToMemid');
    Route::post('v2019/iosPaid/continue', 'v2019\IosFlowController@fromContinue');
    Route::post('v2019/iosPaid/reciept', 'v2019\IosFlowController@storeReciept');
    Route::get('v2019/ios/cron', 'v2019\IosFlowController@cronToUpdateDontExpireByAppleColumn');
    
    Route::get('v2019/currencies', 'v2019\CurrencyController@getList');
    Route::post('v2019/currencies', 'v2019\CurrencyController@getList'); 
    Route::post('v2019/currency/{id}', 'v2019\CurrencyController@getDetail');
    
    //////////////////////// api's for logistics sections added on 17-march-2022 //////////////////////// 
    Route::get('v2019/vessel-freight', 'v2019\MasterController@vessel_freight')->name('vessel-freight');
    Route::get('v2019/vessel-lineup', 'v2019\MasterController@vessel_lineup')->name('vessel-lineup');
    Route::post('v2019/vessel-sublineup', 'v2019\MasterController@vessel_sublineup')->name('vessel-sublineup');
    Route::post('v2019/vessel-lineup-graph', 'v2019\MasterController@vessel_lineup_working_graph')->name('vessel-lineup-graph');
    
    Route::get('v2019/vessel-lineup-sailed', 'v2019\MasterController@vessel_lineup_sailed')->name('vessel-lineup-sailed');
    Route::post('v2019/vessel-sublineup-sailed', 'v2019\MasterController@vessel_sublineup_sailed')->name('vessel-sublineup-sailed');
    Route::post('v2019/vessel-sailed-graph', 'v2019\MasterController@vessel_lineup_sailed_graph')->name('vessel-sailed-graph');
    
    Route::get('v2019/railway-movement', 'v2019\MasterController@railway_movement')->name('railway-movement');
    Route::post('v2019/railway-submovement', 'v2019\MasterController@railway_submovement')->name('railway-submovement');
    Route::post('v2019/railway-submovement-test', 'v2019\MasterController@railway_submovement1')->name('railway-submovement-test');
    Route::post('v2019/railway-movement-graph-old', 'v2019\MasterController@railway_movement_graph')->name('railway-movement-graph');
    Route::post('v2019/railway-movement-graph', 'v2019\MasterController@railway_movement_graph_13042022_new')->name('railway_movement_graph_13042022_new');
    //////////////////////// api's for logistics sections ends here //////////////////////// 
    
    //// graph for coalreport ///
    Route::post('v2019/statistics/graph_koyladarpan', 'v2019\AlphaController@getGraphs_koyladarpan');
    Route::post('v2019/statistics/graph_cil', 'v2019\AlphaController@getGraphs_cil');    
    
    
    Route::post('v2019/portfoliocustomreportcategory', 'v2019\awsQueriesController@PortfolioCustomReportCategory'); 
    Route::post('v2019/portfoliocustomreportlist', 'v2019\awsQueriesController@PortfolioCustomReportList'); 
});


Route::post('v2019/trending/details', 'v2019\trendingController@getTrendingDetails')->middleware('apiToken');
//Route::get('v2019/magazine', 'v2019\magazineController@getMagazine');
    Route::get('v2019/infographOLD', 'v2019\infographController@getInfograph')->middleware('apiToken');
    Route::get('v2019/infograph', 'v2019\infographController@getInfographBM')->middleware('apiToken');    
    Route::get('v2019/infographBM', 'v2019\infographController@getInfographBM')->middleware('apiToken');

//added by tarun on 2020-01-29 - for android
Route::post('v2019/events', 'v2019\eventsController@getEventListing')->middleware('apiToken');
Route::get('v2019/events', 'v2019\eventsController@getEventListing')->middleware('apiToken');
Route::get('v2019/site/events', 'v2019\eventsController@getWebEventListing')->middleware('apiToken');
Route::get('v2019/events/schedules', 'v2019\eventsController@getEventSchedule')->middleware('apiToken');
Route::get('v2019/events/speakers', 'v2019\eventsController@getEventSpeakerListing')->middleware('apiToken');
Route::get('v2019/events/speaker/details', 'v2019\eventsController@getEventSpeakerDetails')->middleware('apiToken');
Route::get('v2019/events/attendees', 'v2019\eventsController@getEventAttendeeListing')->middleware('apiToken');
Route::get('v2019/events/bookmark', 'v2019\eventsController@getEventBookmarkTabs')->middleware('apiToken');
Route::get('v2019/events/QR', 'v2019\eventsController@getEventQRdetails')->middleware('apiToken');
Route::post('v2019/events/scanned/save', 'v2019\eventsController@saveScannedContact')->middleware('apiToken');
Route::get('v2019/events/scanned', 'v2019\eventsController@getScannedContacts')->middleware('apiToken');
### Get price for deligate events

##
/* apis for  event BE */
Route::get('v2019/events/speakers_list_be', 'v2019\eventsController@getEventSpeakersListing');
Route::get('v2019/events/poc_list_be', 'v2019\eventsController@getEventPOCsListing');
##

/////////////////////////2019 new website api's///////////
/////////////////////////copy 2019 new website api's///////////
Route::get('dev2019/common/referencedata', 'v2019\common1Controller@index');
Route::post('dev2019/alerts', 'v2019\common1Controller@alerts');
Route::post('dev2019/preferences', 'v2019\common1Controller@preferences');
Route::post('dev2019/bookmark/remove', 'v2019\common1Controller@removeBookmark');
Route::post('dev2019/bookmark/add', 'v2019\common1Controller@addBookmark');
Route::post('dev2019/portfolio/addItem', 'v2019\common1Controller@portfolioAddItem'); 
Route::post('dev2019/download', 'v2019\common1Controller@download'); 
Route::post('dev2019/alerts/listing', 'v2019\common1Controller@alertsListing'); 
//Route::post('dev2019/showsimilar', 'v2019\common1Controller@showSimilar'); 
Route::post('dev2019/addPreferences', 'v2019\common1Controller@addPreferences'); 
Route::get('dev2019/faq', 'v2019\common1Controller@getFAQ'); 
Route::get('dev2019/notificationDetails', 'v2019\common1Controller@notificationDetails'); 
Route::get('dev2019/personalDetails', 'v2019\common1Controller@getPersonalDetails'); 
Route::post('dev2019/personalDetails/save', 'v2019\common1Controller@savePersonalDetails'); 
Route::post('dev2019/packageDetails', 'v2019\common1Controller@showPackageDetails'); 
Route::post('dev2019/subscriptionDetails', 'v2019\common1Controller@getSubscriptionDetails'); 
Route::get('dev2019/announcement', 'v2019\common1Controller@getAnnouncement'); 
Route::get('dev2019/messgeBoard', 'v2019\common1Controller@getMessgeBoard'); 
Route::post('dev2019/updateFCMToken', 'v2019\common1Controller@updateFCMToken'); 
Route::post('dev2019/login', 'v2019\common1Controller@getLoginDetails'); 
Route::post('dev2019/loginSuggestedPackage', 'v2019\common1Controller@getloginSuggestedPackage'); 
Route::post('dev2019/register', 'v2019\common1Controller@register');
Route::post('dev2019/search', 'v2019\common1Controller@search');  
Route::post('dev2019/sendOTP', 'v2019\common1Controller@sendOTP'); 
Route::post('dev2019/verifyOTP', 'v2019\common1Controller@verifyOTP'); 
Route::post('dev2019/resetPassword', 'v2019\common1Controller@resetPassword'); 
Route::post('dev2019/forgotPassword', 'v2019\common1Controller@forgotPassword'); 
Route::post('dev2019/insights', 'v2019\insights1Controller@getInsights');
Route::get('dev2019/insights/details', 'v2019\insights1Controller@getInsightDetails');
Route::post('dev2019/insights/updateViewCount', 'v2019\insights1Controller@updateMostread');
Route::post('dev2019/prices', 'v2019\prices1Controller@getPrices');
Route::post('dev2019/relatedPrices', 'v2019\prices1Controller@getPrices');
Route::post('dev2019/prices/details', 'v2019\prices1Controller@getPriceDetails');
Route::post('dev2019/prices/graph', 'v2019\prices1Controller@getPricesGraph');
Route::post('dev2019/prices/costIndex', 'v2019\prices1Controller@getCostIndex');
Route::post('dev2019/prices/related', 'v2019\prices1Controller@getPrices');
Route::post('dev2019/prices/compare', 'v2019\prices1Controller@compare');
Route::post('dev2019/prices/compare/save', 'v2019\prices1Controller@compareSave');
Route::post('dev2019/prices/compare/savedlist', 'v2019\prices1Controller@getCompareSavedList');
Route::post('dev2019/prices/compare/filter', 'v2019\prices1Controller@compareFilterList'); 
Route::post('dev2019/portfolio/listItems', 'v2019\prices1Controller@getPortfolioListItems'); 
Route::post('dev2019/intel', 'v2019\intel1Controller@getIntel');
Route::post('dev2019/intel/trending', 'v2019\intel1Controller@getIntelTrending');
Route::post('dev2019/tenders', 'v2019\tenders1Controller@getTenders');
Route::post('dev2019/tenders/details', 'v2019\tenders1Controller@getTenderDetails');
Route::get('dev2019/tenders/count', 'v2019\tenders1Controller@getTendersCommodityCount');
Route::get('dev2019/tenders/filters', 'v2019\tenders1Controller@getTendersFilter');
Route::get('dev2019/tenders/collection', 'v2019\tenders1Controller@getTendersCollection');
Route::post('dev2019/home/promotion', 'v2019\home1Controller@getPromotion');
Route::post('dev2019/home/photoStories', 'v2019\home1Controller@getPhotoStories');
Route::post('dev2019/home/upcomingEvents', 'v2019\home1Controller@upcomingEvents');
Route::post('dev2019/trending', 'v2019\trending1Controller@getTrending');
Route::post('dev2019/trending/details', 'v2019\trending1Controller@getTrendingDetails');
Route::get('dev2019/magazine', 'v2019\magazine1Controller@getMagazine');
Route::post('dev2019/reports', 'v2019\reports1Controller@getReports');
Route::get('dev2019/reports/count', 'v2019\reports1Controller@getReportCount');
Route::get('dev2019/events', 'v2019\events1Controller@getEventListing');
Route::get('dev2019/events/count', 'v2019\events1Controller@getEventCount');
Route::get('dev2019/events/schedules', 'v2019\events1Controller@getEventSchedule');
Route::get('dev2019/events/speakers', 'v2019\events1Controller@getEventSpeakerListing');
Route::get('dev2019/events/speaker/details', 'v2019\events1Controller@getEventSpeakerDetails');
Route::get('dev2019/events/attendees', 'v2019\events1Controller@getEventAttendeeListing');
Route::get('dev2019/events/sponsors', 'v2019\events1Controller@getEventSponsor');
Route::get('dev2019/events/exhibitors', 'v2019\events1Controller@getEventExhibitor');
Route::get('dev2019/events/bookmark', 'v2019\events1Controller@getEventBookmark');
Route::get('dev2019/events/accommodations', 'v2019\events1Controller@getEventAccommodation');
Route::get('dev2019/events/QR/gen', 'v2019\events1Controller@genQR');
Route::get('dev2019/events/QR', 'v2019\events1Controller@getEventQRdetails');
Route::post('dev2019/events/scanned/save', 'v2019\events1Controller@saveScannedContact');
Route::get('dev2019/events/scanned', 'v2019\events1Controller@getScannedContacts');
Route::get('dev2019/statistics/sections', 'v2019\statistics1Controller@getStatistics');
Route::get('dev2019/statistics/filter/leftMain', 'v2019\statistics1Controller@getFilterLeftMain');
Route::get('dev2019/statistics/filter/leftDate', 'v2019\statistics1Controller@getFilterleftDate');
Route::get('dev2019/statistics/graph', 'v2019\statistics1Controller@getGraphs');
Route::get('dev2019/statistics/graph2ndLevel', 'v2019\statistics1Controller@getGraphs2ndLevel');
Route::get('dev2019/statistics/portfolio', 'v2019\statistics1Controller@getStatisticsPortfolio');
Route::get('dev2019/statistics/infograph', 'v2019\statistics1Controller@getInfograph');
Route::get('dev2019/statistics/recentview', 'v2019\statistics1Controller@getRecentView');
Route::get('dev2019/statistics/tabular', 'v2019\statistics1Controller@getTabular');
Route::get('dev2019/statistics/tabular/graph', 'v2019\statistics1Controller@getTabularGraph');
Route::get('dev2019/statistics/tabular/filter', 'v2019\statistics1Controller@getTabularFilter');
Route::post('dev2019/statistics/add', 'v2019\statistics1Controller@addInSavedList');
Route::post('dev2019/statistics/download', 'v2019\statistics1Controller@downloadSavedList'); 
Route::get('dev2019/historical', 'v2019\histData1Controller@getHistoricalDataList');
Route::post('dev2019/historical/save', 'v2019\histData1Controller@saveHistoricalData');
Route::post('dev2019/historical/download', 'v2019\histData1Controller@downloadHistoricalData');
Route::post('dev2019/historical/savedList', 'v2019\histData1Controller@saveRecentHistoricalData');
Route::post('dev2019/mapView', 'v2019\common1Controller@mapGo');
Route::post('dev2019/mapView/save', 'v2019\common1Controller@mapSave');
Route::post('dev2019/mapView/download', 'v2019\common1Controller@mapDownload');
Route::get('dev2019/mapView/selected', 'v2019\common1Controller@mapSelected');
/////////////////////////copy 2019 new website api's/////////// 
